#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	PyQt

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-pyqt3
Version:	3.18.1
Release:	4
License:	GNU/GPL
URL:		http://www.riverbankcomputing.co.uk/pyqt/
Group:		Development/Python
Source0:	PyQt-x11-gpl-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	PyQt3 is a set of Python bindings for version 3 of the Qt toolkit.
Requires:	python%{PVER}
Requires:	python%{PVER}-sip >= 4.10

BuildRequires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-sip >= 4.10
BuildRequires:	python%{PVER}-sip-devel >= 4.10
BuildRequires:	python%{PVER}-pygobject
BuildRequires:	python%{PVER}-pygobject-devel
BuildRequires:	qt3-devel qt3
BuildRequires:	libXinerama-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXrender-devel 
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXcursor-devel
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXi-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	libpng-devel
BuildRequires:	chrpath
BuildRequires:	phonon-devel
BuildRequires:	glib-devel
#Automatically resolved build dependencies
BuildRequires: dbus
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

%description
PyQt4 is a set of Python bindings for version 4 of the Qt toolkit.

%package	devel
Summary:	Files needed to build other bindings based on Qt4
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	qt3-devel
Requires:	python%{PVER}-sip-devel

%description	devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt3 classes (e.g. KDE or your own).

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n PyQt-x11-gpl-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

# mark examples non-executable
#find examples/ -name "*.py" | xargs chmod a-x

%build
export QTDIR=/usr/lib/qt-3.3
export QTINC=/usr/lib/qt-3.3/include
export QTLIB=/usr/lib/qt-3.3/lib
export PATH=$PATH:$QTDIR/bin

echo yes | python2.6 configure.py -d %{python_sitearch} CXXFLAGS="%{optflags}" CFLAGS="%{optflags}"

# Makefiles are broken, workaround
make -C qt %{?_smp_mflags}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mv examples3 examples

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/sip/*
%doc doc/PyQt.html
%_bindir/pylupdate
%_bindir/pyuic

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 01 2010 Christian Metzen <metzench@ccux-linux.de> 3.18.1-4
- rebuild against python26-sip 4.11.1
* Wed Feb 17 2010 Christian Metzen <metzench@ccux-linux.de> 3.18.1-3
- rebuild against python26-sip 4.10
* Fri Feb 05 2010 Christian Metzen <metzench@ccux-linux.de> 3.18.1-2
- rebuild with correct changelog
* Fri Feb 05 2010 Christian Metzen <metzench@ccux-linux.de> 3.18.1-1
- INitial CCux package release
- needed for smart 1.3 qt gui
